# Generated from secure_headers-1.1.1.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name secure_headers
%global rubyabi 1.9.1

Summary: Add easily configured browser headers to responses including content security policy, x-frame-options, strict-transport-security and more
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.1.1
Release: 1%{?dist}
Group: Development/Languages
License: Apache Public License 2.0
URL: https://github.com/twitter/secureheaders
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Add easily configured browser headers to responses.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

# clean up a bunch of un-needed files:
# See https://github.com/ruby-amqp/bunny/issues/55
rm -f .%{gem_instdir}/{.gitignore,.rspec,.travis.yml,.yardopts,.rvmrc}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
rm -f %{buildroot}%{gem_instdir}/%{gem_name}.gemspec

%files
%dir %{gem_instdir}
%{gem_libdir}

%dir %{gem_instdir}/Guardfile
%dir %{gem_instdir}/travis.sh
%dir %{gem_instdir}/app/controllers/*
%dir %{gem_instdir}/config/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/.*
%dir %{gem_instdir}/fixtures/rails_3_2_12/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/app/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/app/controllers/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/app/models/.*
%dir %{gem_instdir}/fixtures/rails_3_2_12/app/models/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/app/views/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/app/views/layouts/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/app/views/other_things/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/app/views/things/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/config/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/config/environments/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/config/initializers/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/config/locales/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/db/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/spec/controllers/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/spec/*
%dir %{gem_instdir}/fixtures/rails_3_2_12/vendor/plugins/.*

%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/.*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/app/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/app/controllers/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/app/models/.*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/app/models/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/app/views/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/app/views/layouts/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/app/views/other_things/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/app/views/things/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/config/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/config/environments/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/config/initializers/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/config/locales/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/db/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/spec/controllers/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/spec/*
%dir %{gem_instdir}/fixtures/rails_3_2_12_no_init/vendor/plugins/.*

%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md

%exclude %{gem_instdir}/Gemfile
%exclude %{gem_instdir}/spec
%exclude %{gem_instdir}/fixtures/rails_3_2_12/lib/assets/.gitkeep
%exclude %{gem_instdir}/fixtures/rails_3_2_12/lib/tasks/.gitkeep
%exclude %{gem_instdir}/fixtures/rails_3_2_12/log/.gitkeep
%exclude %{gem_instdir}/fixtures/rails_3_2_12/vendor/assets/javascripts/.gitkeep
%exclude %{gem_instdir}/fixtures/rails_3_2_12/vendor/assets/stylesheets/.gitkeep

%exclude %{gem_instdir}/fixtures/rails_3_2_12_no_init/lib/assets/.gitkeep
%exclude %{gem_instdir}/fixtures/rails_3_2_12_no_init/lib/tasks/.gitkeep
%exclude %{gem_instdir}/fixtures/rails_3_2_12_no_init/log/.gitkeep
%exclude %{gem_instdir}/fixtures/rails_3_2_12_no_init/vendor/assets/javascripts/.gitkeep
%exclude %{gem_instdir}/fixtures/rails_3_2_12_no_init/vendor/assets/stylesheets/.gitkeep

%exclude %{gem_cache}
%{gem_spec}


%files doc
%doc %{gem_instdir}/Rakefile
%doc %{gem_docdir}

%changelog
* Thu May 08 2014 Joe VLcek<jvlcek@redhat.com> - 1.1.1-1
- Initial package


